/*
 * @(#)ConsADT.java  8 February 2003
 *
 *   Viera Proulx    vkp@ccs.neu.edu
 */

/*
 * Cons variant: descendant tree of Person with list of children
 */
 
import java.awt.*;
import java.awt.geom.*;

public class ConsADT extends ADT{
    
    Person self;
    ALoc children;
    
    public ConsADT (Person aPerson, ALoc aLoc) {
        this.self = aPerson;
        this.children = aLoc;
    }
    
    /*--------------------------------------------------------
     Count the number of descendants
     -------------------------------------------------------*/
    int count(){
        return 1 + this.children.count();
    }
        
    /*--------------------------------------------------------
     Print member data
     -------------------------------------------------------*/
	public String toString(){
		return("new " + getClass().getName() + "(" + 
					this.self            + ":\t" + 
					this.children   + ")");
	}
    
}
    
