/*
 * @(#)ConsLoc.java  8 February 2002
 *
 *   Viera Proulx    vkp@ccs.neu.edu
 */

/*
 * Cons variant: list of children (Person)
 */
public class ConsLoc extends ALoc{
    
    /* descendant tree for the first child */
    ADT first;
    
    /* a list of sibblings */
    ALoc rest;
    
    /*--------------------------------------------------------
     Constructor
     *-------------------------------------------------------*/
    public ConsLoc (ADT dt, ALoc children) {
        this.first = dt;
        this.rest = children;
    }

    /*--------------------------------------------------------
     Methods
     -------------------------------------------------------*/
     
    /*--------------------------------------------------------
     Count the number of descendants
     -------------------------------------------------------*/
    int count(){
        return this.first.count() + this.rest.count();
    }

    /*--------------------------------------------------------
     Print member data
     -------------------------------------------------------*/
	public String toString(){
		return("\nnew " + getClass().getName() + "[" + 
					this.first + ", " + 
					this.rest   + "]");
	}
    
}
    
