/*
 * @(#)Person.java  1.0  8 February 2003
 *
 * <P> A class to represent one person in a descendant tree. </P>
 * @author Viera K. Proulx
 */
 
import java.awt.*;

public class Person {

	/*-------------------------------------------------------- 
	 Data Definition: 
    --------------------------------------------------------*/

	/* Person's name. */
	String name;
	
	/* The hair color given as Color. */
	Color eyeColor;
	
	/* The year of birth given as an int. */
	int date;
		
	/*-------------------------------------------------------- 
	 Constructor
    --------------------------------------------------------*/
	Person(String aName, Color aColor, int aYear){
		this.name = aName;
		this.eyeColor = aColor;
		this.date = aYear;
	}
	
	/*-------------------------------------------------------- 
	 Methods: 
    --------------------------------------------------------*/

	/*-------------------------------------------------------- 
	 Find the first letter of this person's last name 
    --------------------------------------------------------*/
	char initial(){
		return this.name.charAt(0);
	}
	
	/*-------------------------------------------------------- 
     Print the member data of a Person object   
    --------------------------------------------------------*/
	public String toString(){
		return("new " + getClass().getName() + "(" + 
					    this.name  + ", " + 
					    this.eyeColor + ", " + 
					    this.date  + ")");
	}
}
